Bug 114418 - setiathome binary fails to start with reloc failure
setiathome binary fails to start with reloc failure
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 16:51 EST by Jesse Barnes
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 16:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2004-01-27 16:51:28 EST
Description of problem: 
Trying to start the 3.03 setiathome app results in the following 
message: 
setiathome: ../sysdeps/ia64/dl-machine.h:562: elf_machine_rela: 
Assertion `!"unexpected dynamic reloc type"' failed. 
Aborted 
 
and the app doesn't run.  I've googled around a bit and found 
similar messages from apps on other architectures, but none for 
ia64.  The consensus seemed to be that this was a linker or c 
library problem. 
 
Jesse 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. download setiathome 3.03 tarball for ia64 
2. untar it 
3. run it on an ia64 box under RHEL 3.0 
     
 
Actual Results:  setiathome: ../sysdeps/ia64/dl-machine.h:562: 
elf_machine_rela: Assertion `!"unexpected dynamic reloc type"' 
failed. 
Aborted
Comment 1 Jakub Jelinek 2004-01-27 17:07:56 EST
Is setiathome a statically linked program, right?
There is no binary compatibility for statically linked programs
which do dlopen/NSS/iconv (i.e. are not self-contained) and never
has been in Linux.
Applications should be linked dynamically, if for some reason this
is not possible, they should be relinked always with glibc against which
it will be run.  glibc license mandates that object files for relinking
must be available with statically linked programs FYI.
Comment 2 Jesse Barnes 2004-01-27 17:47:49 EST
Ah-ha!  Thanks, I knew I was missing something basic.  Know the 
glibc code I was reading makes sense... 
 
Jesse 
Comment 4 Suzanne Hillman 2004-04-14 16:24:06 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.